#### DEFINES ####
image fang considering happy = ("mods/Moe Job Demo/fang_considering_happy.png")
image demo_title = Image("mods/Moe Job Demo/Moe Title Screen.jpg")
image demo_italians = Image("mods/Moe Job Demo/italians.png")
define audio.crowd = "audio/effects/teenageCrowdFarLoop.ogg"
define audio.dtarantella = "mods/Moe Job Demo/TarantellaEdit.mp3"
$ renpy.music.set_volume(0.7, 0, 'ambient1')

#### MOD START ####

label moemod_storyline_demo:

    stop music fadeout 3
    scene black with Dissolve(2)

    "Not a final product. Subject to change. Advertisement uses real in-game footage. Programmed entirely in Bulgaria. Created using CryEngine 7."

    pause 0.5

    play ambient1 crowd fadein 2.0
    scene outside school fog with Dissolve(1.5)

    "The final day of school before we got some time off had moved at a snail's pace."
    "Every second felt like a minute and every minute like an hour."
    "Well, at least Fang and I were heading home together now."

    show anon neutral:
        xcenter -0.5 yalign 0.1
        easein 1.0 xcenter 0.3
    show fang happy behind anon:
        xcenter -0.3 yalign 0.0
        easein 1.0 xcenter 0.5
    pause .5

    F "So, what are you doing for spring break?"
    A  "I don't know yet, I don't really have the cash to head off to the coast and drink myself into oblivion."
    
    show fang considering happy with dissolve
    
    F "Would you do that if you {i}had{/i} the cash?"
    
    show anon unimpressed with dissolve
    A "Hell no, I'd spend it on vidya."
    show anon neutral with dissolve
    pause 0.0
    show fang considering with dissolve
    F "You'd spend {i}all{/i} of your money on video games."
    A "Well, if I had more, I'd spend it on other things."
    F "Like what?"
    
    show anon considering with dissolve
    A "Uh..."
    
    pause 1.5
    
    show anon shrug with dissolve
    A "Video... {w} {size=-10}game...{w} {size=-10}consoles{w}?{/size}{/size}" 
    show anon neutral
    show fang happy
    with dissolve
    "Fang just laughs at my inability to sustain a stable economic situation."
    show fang happy flip with Dissolve(0.25):
        ease_quart 0.65 xcenter 0.65
    F "Well, I might have an idea. If you promise to take me on a good date, I know how you'll get some more money."
    pause 0.5
    show anon concerned with dissolve
    A "I don't like the sound of that."
    A "Are you trying to sell me on a get-rich-quick pyramid scheme?"
    A "Will you be selling me Aloe Vera soothing creams?"
    show anon neutral with dissolve
    show fang flip off happy flip with dissolve
    pause 1.0
    show fang happy flip with dissolve
    F "Pfft, no, you jerk!"
    show anon face happy with Dissolve(0.25):
        pause 0.25
        easein 0.5 xcenter 0.55
    show fang happy with dissolve
    pause 0.5
    show fang considering happy with dissolve
    F "You know Moe, my uncle?"
    A "Yeah?"
    show fang happy with dissolve
    F "He's looking for someone to man the register and take orders, since the last guy had to take an unexpected holiday, so..."
    show anon neutral with dissolve
    stop ambient1 fadeout 1.0

    pause 0.5

    camera:
        xalign 0.7 yalign 0.20
        linear 6.0 zoom 5.0
    F "He {w=1.5}might {w=1.5}have {w=1.5}a..."
    pause 0.5
    window hide
    scene black with Dissolve(0.15)
    pause 2.0
    camera

    play music dtarantella volume 1.0
    scene demo_title
    pause 10.0
    stop music fadeout 5.0
    scene black with Dissolve(5.0)

    #Only non-coomers can know the secret of the Italians
    if persistent.lewd == False:
        pause 5.0
        scene demo_italians with Dissolve(0.05)
        pause 1.0
        scene black with Dissolve(5.0)

return
